import request from '@/utils/request'

// 查询报废任务列表
export function getQuestListApi(query) {
  return request({
    url: '/material/scrap/getScrapTaskList',
    method: 'get',
    params: query
  })
}
// 查看报废任务详细列表
export function getRepairAuditListApi(query) {
  return request({
    url: '/material/scrap/getScrapAuditList',
    method: 'get',
    params: query
  })
}
// 报废任务审核
export function addDetailsAuditApi(data) {
  return request({
    url: '/material/scrap/audit',
    method: 'post',
    // contentType: 'application/json',
    data: data
  })
}

export function getScrapRecord(query) {
  return request({
    url: '/material/scrap/getScrapRecord',
    method: 'get',
    params: query
  })
}


// 获取报废图片
export function getFileUrl(query) {
  return request({
    url: '/material/scrap/getFileUrl',
    method: 'get',
    params: query
  })
}